package com.liang.dao;

import com.liang.entity.PrjAnnualBudgetRecord;
import com.liang.entity.PrjContract;
import com.liang.entity.PrjContractXg;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface PrjContractXgDao {
    int insert(PrjContract prjContract);

    int updateSpzt(PrjContract prjContract);

    PrjContractXg queryByhtId(Integer htid);

    void deldteById(Integer id);

    PrjContractXg queryRecordByHtId(Integer htId);

    int updateXg(@Param("Xg") PrjContractXg prjContractXg);

    int updateHtht(PrjContractXg prjContractXg);
}
